List Order Taxes
Gets all order taxes using order_id.
Each tax applied to an order. This information can be useful for reporting purposes.
Pass in the query parameter ?details=true to return extra details about order taxes.
order_product_id and line_item_type are also returned.
All values are read-only.
Authentication
Path parameters
Query parameters
Response
The unique numeric identifier of the order to which the tax was applied. NOTE: Not included if the store was using the automatic tax feature.
The unique numeric identifier of the order address object associated with the order. NOTE: Not included if the store was using the automatic tax feature.
A unique identifier for the applied tax rate. This may be a third-party tax provider’s identifier.
The name of the type of tax that was applied. NOTE: It will be “Automatic Tax” if automatic tax was enabled. It will be “API Tax Override” if the order was created with V2 Orders API.
The tax rate. The priority order in which the tax is applied (Float, Float-As-String, Integer)
The amount of tax calculated on the order. (Float, Float-As-String, Integer)
(Float, Float-As-String, Integer)
The ID of the order pickup method object (which contains pickup location details) associated with the order.
If the line_item_type is item or handling then this field will be the order product id. Otherwise the field will return as null.
The unique numeric identifier of the tax rate. This field has been deprecated, use sales_tax_id instead.